Bug 1021365 - Should give correct prompt when run `rhc configure-app|rhc deploy|rhc deployment|rhc snapshot save $app --deloyment` against old OSE server
Should give correct prompt when run `rhc configure-app|rhc deploy|rhc deploym...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fabiano Franz
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 03:39 EDT by Wei Sun
Modified: 2015-05-14 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:25:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-10-21 03:39:24 EDT
Description of problem:
Try to run `rhc configure-app|rhc deploy|rhc deployment-list|deployment-show|deployment-activate` against old OSE server(1.2.4) which doesn't support this feauter,but could not get correct prompt,it shows some exception messages.


Version-Release number of selected component (if applicable):
rhc-1.16.0 (build from devenv_3921)
OSE(1.2.4)

How reproducible:
Always

Steps to Reproduce:
1.Run `rhc configure-app`
2.Run `rhc deploy`
3.Run `rhc deployment-list`
4.Run `rhc sanpshot save $appname --deployment`

Actual results:
1.[openshift@dhcp-10-143 ~]$ rhc configure-app r9 --no-auto-deploy
Configuring application 'r9' ... /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/rest/base.rb:23:in `rest_method': No link defined for UPDATE (RuntimeError)
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/rest/application.rb:192:in `configure'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/commands/app.rb:409:in `block in configure'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/highline_extensions.rb:190:in `call'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/highline_extensions.rb:190:in `section'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/highline_extensions.rb:204:in `paragraph'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/helpers.rb:306:in `block (2 levels) in <module:Helpers>'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/commands/app.rb:407:in `configure'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/commands.rb:285:in `execute'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/commands.rb:276:in `block (3 levels) in to_commander'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/command.rb:155:in `run'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/runner.rb:400:in `run_active_command'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/command_runner.rb:73:in `run!'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/delegates.rb:7:in `run!'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/cli.rb:37:in `start'
	from /usr/local/share/gems/gems/rhc-1.16.0/bin/rhc:20:in `<top (required)>'
	from /usr/local/bin/rhc:23:in `load'
	from /usr/local/bin/rhc:23:in `<main>'

2.[openshift@dhcp-10-143 ~]$ rhc deploy master -a r9
/usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/commands/app.rb:383:in `deploy': uninitialized constant RHC::DeploymentsNotSupportedException (NameError)
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/commands.rb:285:in `execute'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/commands.rb:276:in `block (3 levels) in to_commander'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/command.rb:155:in `run'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/runner.rb:400:in `run_active_command'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/command_runner.rb:73:in `run!'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/delegates.rb:7:in `run!'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/cli.rb:37:in `start'
	from /usr/local/share/gems/gems/rhc-1.16.0/bin/rhc:20:in `<top (required)>'
	from /usr/local/bin/rhc:23:in `load'
	from /usr/local/bin/rhc:23:in `<main>'

3.[openshift@dhcp-10-143 ~]$ rhc deployment list r9
/usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/rest/application.rb:186:in `deployments': uninitialized constant RHC::DeploymentsNotSupportedException (NameError)
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/commands/deployment.rb:33:in `list'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/commands.rb:285:in `execute'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/commands.rb:276:in `block (3 levels) in to_commander'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/command.rb:180:in `call'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/command.rb:155:in `run'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/runner.rb:400:in `run_active_command'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/command_runner.rb:73:in `run!'
	from /usr/share/gems/gems/commander-4.1.2/lib/commander/delegates.rb:7:in `run!'
	from /usr/local/share/gems/gems/rhc-1.16.0/lib/rhc/cli.rb:37:in `start'
	from /usr/local/share/gems/gems/rhc-1.16.0/bin/rhc:20:in `<top (required)>'
	from /usr/local/bin/rhc:23:in `load'
	from /usr/local/bin/rhc:23:in `<main>'

4.[openshift@dhcp-10-143 ~]$ rhc snapshot save r9 --deployment
Pulling down a snapshot to r9.tar.gz...
invalid command. Use --help for more information
Error in trying to save snapshot. You can try to save manually by running:
ssh 5264cc306e0f5de39f00006d@r9-wsunose124.osetestv2.com 'gear archive-deployment' > r9.tar.gz
[openshift@dhcp-10-143 ~]$ ssh 5264cc306e0f5de39f00006d@r9-wsunose124.osetestv2.com 'gear archive-deployment' > r9.tar.gz
invalid command. Use --help for more information


Expected results:
Should give a correct prompt.

Additional info:
Comment 1 Fabiano Franz 2013-10-21 11:02:50 EDT
Fixed in https://github.com/openshift/rhc/pull/489.
Comment 2 openshift-github-bot 2013-10-21 13:27:44 EDT
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/56ea4098edc7e527fba8f9610e344613fb709e6f
Bug 1021365 - fixed handling server without deployment support
Comment 3 Wei Sun 2013-10-22 00:48:04 EDT
Verified on OSE(1.2.4) with rhc-1.16.1

Result:
[openshift@dhcp-10-143 ~]$ rhc configure-app r9 --no-auto-deploy --keep-deployments 3 --deployment-branch fork --deployment-type binary
Configuring application 'r9' ... The server does not support deployments

[openshift@dhcp-10-143 ~]$ rhc deploy master -a r9 
The server does not support deployments

[openshift@dhcp-10-143 test]$ rhc deployments r9
The server does not support deployments

[openshift@dhcp-10-143 test]$ rhc deployment-list r9
The server does not support deployments

[openshift@dhcp-10-143 test]$ rhc deployment-show 1234 -a r9
The server does not support deployments

[openshift@dhcp-10-143 test]$ rhc deployment-activate 1234 -a r9
The server does not support deployments

[openshift@dhcp-10-143 test]$ rhc snapshot save r9 --deployment
The server does not support deployments

Note You need to log in before you can comment on or make changes to this bug.